@mixin _forms-disabled-styles($opacity: .85) {
    cursor: not-allowed;
    opacity: $opacity;
    filter: grayscale(100%);
}

@mixin _forms-bordered($color: $forms-input-radio-color, $width: 1px) {
    -webkit-appearance: none;
    -webkit-border-radius: 0;
    border-radius: 0;
    border-width: $width;
    border-style: solid;
    border-color: transparent;

    &.-bordered {
        border-color: $color;
    }
}

@mixin _forms-error() {
    &.-error,
    &:invalid {
        border-color: $color-error;
        box-shadow: none;
    }
}